[tox]
envlist = py311
skipsdist = True

[testenv]
passenv = EPC_AUTH_TOKEN, AWS_ACCESS_KEY_ID, AWS_SECRET_ACCESS_KEY, AWS_SESSION_TOKEN, AWS_DEFAULT_REGION, AWS_REGION
description = Install dependencies and run tests
deps =
    -rbackend/engine/requirements.txt
    -rbackend/app/requirements/requirements.txt
    -rtest.requirements.txt
commands_pre = playwright install --with-deps chromium
commands = pytest {posargs}
